Files are marked for deletion on server when syncdaemon is killed during sync: Capabilities mismatch is displayed for outdated clients.

Reported by Joshua Hoover on 2009-10-28
This bug affects 803 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
High
Mathias Gug
Ubuntu One Client
Critical
Facundo Batista
ubuntuone-client (Ubuntu)
Critical
Elliot Murphy
Karmic
Critical
Elliot Murphy

Bug Description

Steps to reproduce:

On Computer1
1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
2) Applications->Internet->Ubuntu One
3) Add Computer1 to my account
4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
5) Sync occurs with server
6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
On Computer2
7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
8) Applications->Internet-Ubuntu One
9) Add Computer2 to my account
10) Sync starts - allow to run until first 4 mp3 files are there
11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
12) Applications->Internet->Ubuntu One
13) Allow sync to happen

Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
Expected result: 12 mp3 files on both computers and cloud

Log files being attached along with reinstall_u1.sh script

================
Karmic release note:

Ubuntu One files may become unavailable in some circumstances

A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances. A new client has been released in the update channel and the server has been updated to show a "Capabilities Mismatch" error when in use with a an older client to prevent files becoming unavailable to users.

Manually running an system update will update the client to work with the deployed server and fix the root cause. Files are still available via the web interface at http://one.ubuntu.com

Contact syncing and tomboy syncing services are not affected by this issue.

================

The temporary measure to protect against user data loss will cause the desktop client to display a "Capabilities Mismatch" message.

Update: Fix has been deployed. Beta PPA and non-beta PPA users can both receive the fixed client software by running Update Manager.

Joshua Hoover (joshuahoover) wrote :

Script used in steps to reproduce to help ensure a cleaner Ubuntu one environment.

.home.jhoover..cache.ubuntuone.log.oauth.login.log:
 Starting Ubuntu One client version 1.0.2
 Starting Ubuntu One client version 1.0.2
.home.jhoover..cache.ubuntuone.log.syncdaemon.exceptions.log:

.home.jhoover..config.ubuntuone.ubuntuone.client.conf:
 [ubuntuone]
 bookmarked = True
 connected = False
 connect = 0
 show_applet = 0
Architecture: i386
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release Candidate i386 (20091020.3)
Package: ubuntuone-client 1.0.2-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected
Elliot Murphy (statik) on 2009-10-28
Changed in ubuntuone-client:
importance: Wishlist → Critical

.home.jhoover..cache.ubuntuone.log.oauth.login.log: Starting Ubuntu One client version 1.0.2
.home.jhoover..config.ubuntuone.ubuntuone.client.conf:
 [ubuntuone]
 bookmarked = True
 connected = False
 connect = 0
 show_applet = 0
Architecture: i386
DistroRelease: Ubuntu 9.10
Package: ubuntuone-client 1.0.2-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Note: First apport collection is for Computer2 and second is for Computer1 in case someone expected a logical order. ;-)

Joshua Hoover (joshuahoover) wrote :

Computer1 log files.

Joshua Hoover (joshuahoover) wrote :

Computer2 log files.

Changed in ubuntuone-client:
assignee: nobody → Facundo Batista (facundo)
summary: - Syncdaemon deletes files from server when syncdaemon is stopped and
- restarted during sync
+ Files are marked for deletion on server when syncdaemon is killed during
+ sync
description: updated

Hi, we're working on a fix for this bug and have put a capability mismatch into the server to prevent the current clients from connecting to the server, so that nobody else will experience this bug. This means that for a short time, desktops or laptops will not be able to connect to the ubuntu one servers for updating files. Soon we will have an updated client available that will have this bug fixed, and will be able to connect to the server again. Files can still be uploaded and downloaded through https://one.ubuntu.com. Any changes made to your files locally while disconnected from the server will be preserved.

Elliot Murphy (statik) on 2009-10-29
Changed in ubuntuone-client:
status: Triaged → In Progress
Mathias Gug (mathiaz) on 2009-10-29
description: updated
Changed in ubuntu-release-notes:
status: New → Fix Committed
assignee: nobody → Mathias Gug (mathiaz)

Will it be fixed for Jaunty as well?

Changed in ubuntuone-client:
status: In Progress → Fix Committed
Joshua Hoover (joshuahoover) wrote :

Hi Imran, Yes, the fix will be for Jaunty users as well, released in our PPA. Thank you, Joshua

Martin Pitt (pitti) on 2009-10-29
Changed in ubuntuone-client (Ubuntu Karmic):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → Critical
milestone: none → karmic-updates
status: New → In Progress
Elliot Murphy (statik) wrote :

patch from facundo, verterok, and lucio
testing by joshuahoover

Ken VanDine (ken-vandine) wrote :

I tested it as well, all pass.

Changed in ubuntuone-client (Ubuntu Karmic):
assignee: Ken VanDine (ken-vandine) → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Sponsored to unapproved. Will accept into -proposed right after karmic's release.

Changed in ubuntuone-client (Ubuntu Karmic):
assignee: Martin Pitt (pitti) → Elliot Murphy (statik)
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

> Ubuntu One files may become unavailable in some circumstances

> A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances.

My understanding is that this is not "in some circumstances", but that the Ubuntu 9.10 release version of the client has been forcibly disabled on the server to prevent possible data loss. Is there any reason then for this circumlocution? Should we not simply tell users "the client won't let you sync files, it's been disabled out of a healthy abundance of concern for you data, please upgrade to the new version of the client"?

Here's some text that I think achieves this:

   A serious bug in the Ubuntu One client software included in Ubuntu 9.10 that could potentially result in loss of data has led to
   disabling file syncing access for this client version on the Ubuntu One servers as a precaution. Users who see a "Capabilities
   Mismatch" error when trying to use Ubuntu One should install the post-release upgrade of the client that will be made
   available immediately after release, fixing the original bug and restoring file syncing access to the Ubuntu One servers. Files
   are still available via the web interface at [[http://one.ubuntu.com]].

   Contact syncing and tomboy syncing services are not affected by this issue.

This also addresses:
 - "update channel" - accurate, but not terminology we use elsewhere in the release notes; dropped for consistency
 - The text implied the update was already available, which it isn't yet. We can ammend the release notes to use past-tense once it's available.

I've committed this text to <https://wiki.ubuntu.com/KarmicKoala/ReleaseNotes#Ubuntu%20One%20client%20requires%20post-install%20upgrade>, but am leaving the bug task open; if this text is unacceptable for any reason, please let me know.

Steve Langasek (vorlon) on 2009-10-29
Changed in ubuntu-release-notes:
importance: Undecided → High
Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Colin Watson (cjwatson) wrote :

Accepted into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
description: updated
Valeriu (valeriu) on 2009-10-29
Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2009-10-29
Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Released → Fix Committed
Changed in ubuntuone-client:
status: Fix Committed → Fix Released

I guess I won't be handing out Ubuntu 9.10 CD's at our party. I cannot
imagine somebody migrating from Windows being capable of effecting a fix
for Ubuntu One. I suppose we could show them how to remove Ubuntu One
and install Drop Box - which works every time.

On Thu, 2009-10-29 at 16:26 +0000, Facundo Batista wrote:

> ** Changed in: ubuntuone-client
> Status: Fix Committed => Fix Released
>

Repawn (repawn) wrote :

The fix was very easy - just need to wait until update is out or add
the proposed update source and update now.

Sent from my iPhone

On Oct 29, 2009, at 12:10 PM, FewClues <email address hidden> wrote:

> I guess I won't be handing out Ubuntu 9.10 CD's at our party. I
> cannot
> imagine somebody migrating from Windows being capable of effecting a
> fix
> for Ubuntu One. I suppose we could show them how to remove Ubuntu
> One
> and install Drop Box - which works every time.
>
> On Thu, 2009-10-29 at 16:26 +0000, Facundo Batista wrote:
>
>> ** Changed in: ubuntuone-client
>> Status: Fix Committed => Fix Released
>>
>
> --
> Files are marked for deletion on server when syncdaemon is killed
> during sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Committed
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Committed
> Status in ubuntuone-client in Ubuntu Karmic: Fix Committed
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on
> Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and
> see all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on
> Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for
> deletion on cloud (thus unavailable on web) - all just show the 4
> files left by Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released
> in the update channel and the server has been updated to show a
> "Capabilities Mismatch" error when in use with a an older client to
> prevent files becoming unavailable to users.
>
> Manually running an system update will update the client to work
> with the deployed server and fix the root cause. Files are still
> available via the web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this
> issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause
> the desktop client to display a "Capabilities Mismatch" message.

FewClues (fewclues) wrote :
Download full text (3.4 KiB)

Isn't this a wonderful way to show off Ubuntu One and Ubuntu's cloud
capability? Couple that with the loss of control over the touch pad
(can no longer be turned off even with a script) and its beginning to
feel a lot like Windows.

We have canceled our release party.

On Thu, 2009-10-29 at 17:34 +0000, Repawn wrote:

> The fix was very easy - just need to wait until update is out or add
> the proposed update source and update now.
>
> Sent from my iPhone
>
> On Oct 29, 2009, at 12:10 PM, FewClues <email address hidden> wrote:
>
> > I guess I won't be handing out Ubuntu 9.10 CD's at our party. I
> > cannot
> > imagine somebody migrating from Windows being capable of effecting a
> > fix
> > for Ubuntu One. I suppose we could show them how to remove Ubuntu
> > One
> > and install Drop Box - which works every time.
> >
> > On Thu, 2009-10-29 at 16:26 +0000, Facundo Batista wrote:
> >
> >> ** Changed in: ubuntuone-client
> >> Status: Fix Committed => Fix Released
> >>
> >
> > --
> > Files are marked for deletion on server when syncdaemon is killed
> > during sync
> > https://bugs.launchpad.net/bugs/462828
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in Ubuntu Release Notes: Fix Committed
> > Status in Ubuntu One Client: Fix Released
> > Status in “ubuntuone-client” package in Ubuntu: Fix Committed
> > Status in ubuntuone-client in Ubuntu Karmic: Fix Committed
> >
> > Bug description:
> > Steps to reproduce:
> >
> > On Computer1
> > 1) Run reinstall_u1.sh script to ensure a clean u1 environment on
> > Computer1
> > 2) Applications->Internet->Ubuntu One
> > 3) Add Computer1 to my account
> > 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> > 5) Sync occurs with server
> > 6) Check that sync completes by going to https://one.ubuntu.com/ and
> > see all 12 files there
> > On Computer2
> > 7) Run reinstall_u1.sh script to ensure a clean u1 environment on
> > Computer2
> > 8) Applications->Internet-Ubuntu One
> > 9) Add Computer2 to my account
> > 10) Sync starts - allow to run until first 4 mp3 files are there
> > 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> > 12) Applications->Internet->Ubuntu One
> > 13) Allow sync to happen
> >
> > Result: 8 of 12 mp3 files deleted on Computer1 and marked for
> > deletion on cloud (thus unavailable on web) - all just show the 4
> > files left by Computer2
> > Expected result: 12 mp3 files on both computers and cloud
> >
> > Log files being attached along with reinstall_u1.sh script
> >
> > ================
> > Karmic release note:
> >
> > Ubuntu One files may become unavailable in some circumstances
> >
> > A bug in the ubuntu one client (#462828) can cause files to become
> > unavailable in some circumstances. A new client has been released
> > in the update channel and the server has been updated to show a
> > "Capabilities Mismatch" error when in use with a an older client to
> > prevent files becoming unavailable to users.
> >
> > Manually running an system update will update the client to work
> > with the deployed server and fix the root cause. Files are still
> > available vi...

Read more...

We will waive the usual 7-day maturing period for this, and move to -updates as soon as someone tests the packages in -proposed and confirms that they are working now. Thanks in advance!

Changed in ubuntu-release-notes:
status: Fix Committed → Fix Released
Changed in ubuntuone-client (Ubuntu):
milestone: karmic-updates → lucid-alpha-1

I have tested the patch and it appears to be working just fine now.
Thanks!

Chris

On Oct 29, 2009, at 1:22 PM, Martin Pitt <email address hidden> wrote:

> We will waive the usual 7-day maturing period for this, and move to
> -updates as soon as someone tests the packages in -proposed and
> confirms
> that they are working now. Thanks in advance!
>
> ** Changed in: ubuntu-release-notes
> Status: Fix Committed => Fix Released
>
> ** Changed in: ubuntuone-client (Ubuntu)
> Milestone: karmic-updates => lucid-alpha-1
>
> --
> Files are marked for deletion on server when syncdaemon is killed
> during sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Committed
> Status in ubuntuone-client in Ubuntu Karmic: Fix Committed
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on
> Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and
> see all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on
> Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for
> deletion on cloud (thus unavailable on web) - all just show the 4
> files left by Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released
> in the update channel and the server has been updated to show a
> "Capabilities Mismatch" error when in use with a an older client to
> prevent files becoming unavailable to users.
>
> Manually running an system update will update the client to work
> with the deployed server and fix the root cause. Files are still
> available via the web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this
> issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause
> the desktop client to display a "Capabilities Mismatch" message.

Thanks! Given that the karmic-final packages don't work at all anyway now, there is a close-to-zero regression potential now, so I'll release this to -updates.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.0.2-0ubuntu2

---------------
ubuntuone-client (1.0.2-0ubuntu2) karmic-proposed; urgency=low

  * Don't mark for deletion if syncdaemon stops during sync (LP: #462828)

 -- Elliot Murphy <email address hidden> Wed, 28 Oct 2009 22:45:52 -0400

Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Robin (robingape) wrote :

I can confirm that the 1.0.2-0ubuntu2 gnome client, sourced from proposed, appears to work on 9.10rc 64 bit fully updated. Strangely, earlier clients never seemed to work consistently on 64 bit Ubuntu (Jaunty or Karmic). No problems so far, but not really smoke tested it yet!

Peterson Silva (petersonsilva) wrote :

Was this released to updates? apt-get tells me there's nothing to upgrade.

Peterson Silva (petersonsilva) wrote :

Ok nevermind, just saw it.

Mark Rice (ricemark20) on 2009-10-30
Changed in ubuntu-release-notes:
status: Fix Released → Fix Committed
Chris Coulson (chrisccoulson) wrote :

markrice20 - please don't just change the bug state randomly without leaving any explanation

Changed in ubuntu-release-notes:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied karmic-updates to lucid.

Changed in ubuntuone-client (Ubuntu):
status: Fix Committed → Fix Released
Cedara (cedara2) wrote :

Patch works in 9.04.

Thanks for fixing it, guys.

Cedara

Great Job !
Works now after updating the client !

Mirko

Cedara schrieb:
> Patch works in 9.04.
>
> Thanks for fixing it, guys.
>
> Cedara
>

I can confirm it's fixed on Karmic 64bit. Great job!

I can confirm that its working on my Jaunty 32-bit! Thank you and excellent work....

velofreak (velofreak) wrote :

Me too on Karmic 32 and 64bit! Thank You!

Confirm 32-bit! Excellent work, thank you!

On Fri, Oct 30, 2009 at 11:25 AM, velofreak <email address hidden> wrote:

> Me too on Karmic 32 and 64bit! Thank You!
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
>

Changed in ubuntuone-client:
status: Fix Released → Fix Committed
Changed in ubuntuone-client:
status: Fix Committed → Fix Released

OK in the above posts where is the fix? Which post number gives the procedures to achieve the fix? Most of the posts are in essence "good job, fixed" I have been unable to determine the fix. I am still using Ubuntu 9.04, if that make a difference. It worked fine until the 29th of OCT, the day that 9.10 came out. Did that release break the UbuntuOne application?

The fix came today as an update. It was three patches relevant to ubuntuone.

On Fri, Oct 30, 2009 at 2:02 PM, John Hart <email address hidden> wrote:

> OK in the above posts where is the fix? Which post number gives the
> procedures to achieve the fix? Most of the posts are in essence "good
> job, fixed" I have been unable to determine the fix. I am still using
> Ubuntu 9.04, if that make a difference. It worked fine until the 29th
> of OCT, the day that 9.10 came out. Did that release break the
> UbuntuOne application?
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
>

description: updated

You are the Man: JONAS. Thanks for the prompt response. I went to my Update Manager and installed the updates and restarted and now UbuntuOne does not have any conflicts and works again.

Ed Iglehart (tipiglen) wrote :

Update installed. Clicked connect half an hour ago, and it still says "connecting"

First tried to connect a few days ago using 9.10rc. Unsuccessful.

Now using clean 9.10 install - complete newbie with regard to 'clouds'

Install the updates, kill the UbuntuOne process, and restart the
application. Programs > Internett > UbuntuOne.

On Fri, Oct 30, 2009 at 2:35 PM, Ed Iglehart <email address hidden> wrote:

> Update installed. Clicked connect half an hour ago, and it still says
> "connecting"
>
> First tried to connect a few days ago using 9.10rc. Unsuccessful.
>
> Now using clean 9.10 install - complete newbie with regard to 'clouds'
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
>
> Update: Fix has been deployed. Beta PPA and non-beta PPA users can both
> receive the fixed client software by running Update Manager.
>
>
>

Hi,

I'm not really sure what this is about. The problem that I have with
Ubuntuone is that I get the message "Capabilities mismatch with server"
when I try to connect.

I am very new to Linux, so excuse me if this is the same thing. However,
a lot of what you said in email I received from you went somewhat over
my head. I was/am under the impression that Ubuntuone allows me to use
2GB of web space in a similar way to DropBox, etc. If there is more to
it than that, then I'd love to know about it.

Robin

-----Original Message-----
From: Facundo Batista <email address hidden>
Reply-to: Bug 462828 <email address hidden>
To: <email address hidden>
Subject: [Bug 462828] Re: Files are marked for deletion on server when
syncdaemon is killed during sync
Date: Fri, 30 Oct 2009 12:22:00 -0000

** Changed in: ubuntuone-client
       Status: Fix Committed => Fix Released

Download full text (5.2 KiB)

Hi,

I'm not really sure what this is about. The problem that I have with
Ubuntuone is that I get the message "Capabilities mismatch with server"
when I try to connect. (What is that about 8 of 12 MP3 files being
deleted?)

I am very new to Linux, so excuse me if this is the same thing. However,
a lot of what you said in email I received from you went somewhat over
my head. I was/am under the impression that Ubuntuone allows me to use
2GB of web space in a similar way to DropBox, etc. If there is more to
it than that, then I'd love to know about it.

Robin

-----Original Message-----
From: Matt Griffin <email address hidden>
Reply-to: Bug 462828 <email address hidden>
To: <email address hidden>
Subject: [Bug 462828] Re: Files are marked for deletion on server when
syncdaemon is killed during sync
Date: Fri, 30 Oct 2009 13:28:43 -0000

** Description changed:

  Steps to reproduce:

  On Computer1
  1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
  2) Applications->Internet->Ubuntu One
  3) Add Computer1 to my account
  4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
  5) Sync occurs with server
  6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
  On Computer2
  7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
  8) Applications->Internet-Ubuntu One
  9) Add Computer2 to my account
  10) Sync starts - allow to run until first 4 mp3 files are there
  11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
  12) Applications->Internet->Ubuntu One
  13) Allow sync to happen

  Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
  Expected result: 12 mp3 files on both computers and cloud

  Log files being attached along with reinstall_u1.sh script

  ================
  Karmic release note:

  Ubuntu One files may become unavailable in some circumstances

  A bug in the ubuntu one client (#462828) can cause files to become
  unavailable in some circumstances. A new client has been released in
  the update channel and the server has been updated to show a
  "Capabilities Mismatch" error when in use with a an older client to
  prevent files becoming unavailable to users.

  Manually running an system update will update the client to work with
  the deployed server and fix the root cause. Files are still available
  via the web interface at http://one.ubuntu.com

  Contact syncing and tomboy syncing services are not affected by this
  issue.

  ================

  The temporary measure to protect against user data loss will cause the
  desktop client to display a "Capabilities Mismatch" message.
+
+
+ Update: Fix has been deployed. Beta PPA and non-beta PPA users can both receive the fixed client software by running Update Manager.

--
Files are marked for deletion on server when syncdaemon is killed during sync
https://bugs.launchpad.net/bugs/462828
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in Ubuntu Release Notes: Fix Released
Status in Ubuntu One Client:...

Read more...

Robin Bownes: Do what Jonas said for me to do. Go to your Update Manager (System > Administration > Update Manager) Click on "Check" then after the new files are shown, Click "install". After the installation is complete then restart your computer and you should be "in business" again

Download full text (5.9 KiB)

Thanks for the quick response solving this problem so rapidly. This type of
team effort should be Applauded by the World to the UBUNTU/Linux
providers all over the World. Great Job Guys/Ladies

On Fri, Oct 30, 2009 at 8:52 AM, Robin Bownes <email address hidden>wrote:

> Hi,
>
> I'm not really sure what this is about. The problem that I have with
> Ubuntuone is that I get the message "Capabilities mismatch with server"
> when I try to connect. (What is that about 8 of 12 MP3 files being
> deleted?)
>
> I am very new to Linux, so excuse me if this is the same thing. However,
> a lot of what you said in email I received from you went somewhat over
> my head. I was/am under the impression that Ubuntuone allows me to use
> 2GB of web space in a similar way to DropBox, etc. If there is more to
> it than that, then I'd love to know about it.
>
> Robin
>
> -----Original Message-----
> From: Matt Griffin <email address hidden>
> Reply-to: Bug 462828 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 462828] Re: Files are marked for deletion on server when
> syncdaemon is killed during sync
> Date: Fri, 30 Oct 2009 13:28:43 -0000
>
>
> ** Description changed:
>
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on
> Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on
> Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in
> the update channel and the server has been updated to show a
> "Capabilities Mismatch" error when in use with a an older client to
> prevent files becoming unavailable to users.
>
> Manually running an system update will update the client to work with
> the deployed server and fix the root cause. Files are still available
> via the web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this
> issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
> +
> +
> + Update: Fix has been deployed. Beta PPA and non-beta PPA users c...

Read more...

Thanks Jonas. Still trying after installing updates and a re-boot. then programs > files/folders (not "internett" .ubuntuone...
still sitting there saying "connecting"

Doess one have to go to the website and sign up first?

Will try "kill process" andgo again. Thanks for your efforts

Just go to the ubuntu one homepage, sign in and it should ask you to
register your pc.
You should see the computername...

After that it worked for me

I love ubuntu one already !

Am Freitag, den 30.10.2009, 14:22 +0000 schrieb Ed Iglehart:
> Thanks Jonas. Still trying after installing updates and a re-boot. then programs > files/folders (not "internett" .ubuntuone...
> still sitting there saying "connecting"
>
> Doess one have to go to the website and sign up first?
>
> Will try "kill process" andgo again. Thanks for your efforts
>

And yes, you need to make an Lauchpad account to use the service.
Glad I can help!

On Fri, Oct 30, 2009 at 3:22 PM, Ed Iglehart <email address hidden> wrote:

> Thanks Jonas. Still trying after installing updates and a re-boot. then
> programs > files/folders (not "internett" .ubuntuone...
> still sitting there saying "connecting"
>
> Doess one have to go to the website and sign up first?
>
> Will try "kill process" andgo again. Thanks for your efforts
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
>
> Update: Fix has been deployed. Beta PPA and non-beta PPA users can both
> receive the fixed client software by running Update Manager.
>
>
>

I've had a launchpad account for a while, or I wouldn't ber commenting here. I think the whole cloud/ubuntuOne thing may be a bit opaque to many folk. Your tutorial page is good, but it should be a bit more visible. Maybe in a sticky on the main Karmic forum area?

Lost track of your tutorial - should've bookmarked it.

In progs>files>ubOne I have two folders showing, both with a green check mark. One is the 'shared with me' one and the other is one from my own local files. On the web interface it says my 'files' folder is empty. Down here in my filing system, I click 'connect' and it then says 'connecting'........and nothing else happens.

It really isn't all that obvious what I'm doing wrong (or not doing) - not encouraging for new ubuntu recruits. I'm in terrier mode, though.

Cheers again and to all participants
ed

Fabio M. Panico (fbugnon) wrote :

OK, thank you all devels for this fix.

After the updates I can access my UbuntuOne with no problems.

Thanks a lot.

Yiap

After update ONE is just perfect...

Thanks

Fabio M. P. Bugnon wrote:
> OK, thank you all devels for this fix.
>
> After the updates I can access my UbuntuOne with no problems.
>
> Thanks a lot.
>
>

FewClues (fewclues) wrote :

I have done the updates and I still get the compatibility warning. My
client is more advanced than the server. HOW DOES THAT HAPPEN?

On Fri, 2009-10-30 at 17:54 +0000, Fabio M. P. Bugnon wrote:

> OK, thank you all devels for this fix.
>
> After the updates I can access my UbuntuOne with no problems.
>
> Thanks a lot.
>

FewClues (fewclues) wrote :

I was going to screen shot my failure mode to show that it wasn't fixed
and it now works. I don't know about perfect but it works.

On Fri, 2009-10-30 at 18:11 +0000, constantinosm wrote:

> Yiap
>
> After update ONE is just perfect...
>
> Thanks
>
> Fabio M. P. Bugnon wrote:
> > OK, thank you all devels for this fix.
> >
> > After the updates I can access my UbuntuOne with no problems.
> >
> > Thanks a lot.
> >
> >
>

Rick McBride (rmcbride) wrote :

FewClues wrote:
> I have done the updates and I still get the compatibility warning. My
> client is more advanced than the server. HOW DOES THAT HAPPEN?
>
> On Fri, 2009-10-30 at 17:54 +0000, Fabio M. P. Bugnon wrote:
>
>> OK, thank you all devels for this fix.
>>
>> After the updates I can access my UbuntuOne with no problems.
>>
>> Thanks a lot.
>>
>

The error message is slightly inaccurate. The simple fact is that the
version of the client that is running and trying to talk to the server
(not necessarily the version that is Installed) has a capability level
that tells us that it is a version with a serious bug. The "Client is
newer than server" message is the only message of that type available in
the bugged client. Changing the setting on the server prevented the
bugged clients from connecting, but resulted in the confusing message
you are seeing.

After updating the packages, you'll need to re-start the client
manually. The simplest way to do this right now is to re-log or re-boot
your machine. We have a bug report in place regarding the package
upgrade, and hope to enhance the process so that the client restarts
itself upon upgrade soon.

tomatoman (thomasu3) wrote :

Kill and restart the client applet (or restart your machine).

FewClues wrote:
> I have done the updates and I still get the compatibility warning. My
> client is more advanced than the server. HOW DOES THAT HAPPEN?
>
> On Fri, 2009-10-30 at 17:54 +0000, Fabio M. P. Bugnon wrote:
>
>
>> OK, thank you all devels for this fix.
>>
>> After the updates I can access my UbuntuOne with no problems.
>>
>> Thanks a lot.
>>
>>
>
>

Thanks but it is still not working - all my packages are up to date
but even after restart I get the same error message.

:-/

On Fri, Oct 30, 2009 at 6:39 PM, tomatoman <email address hidden> wrote:
> Kill and restart the client applet (or restart your machine).
>
> FewClues wrote:
>> I have done the updates and I still get the compatibility warning.  My
>> client is more advanced than the server.  HOW DOES THAT HAPPEN?
>>
>> On Fri, 2009-10-30 at 17:54 +0000, Fabio M. P. Bugnon wrote:
>>
>>
>>> OK, thank you all devels for this fix.
>>>
>>> After the updates I can access my UbuntuOne with no problems.
>>>
>>> Thanks a lot.
>>>
>>>
>>
>>
>
> --
> Files are marked for deletion on server when syncdaemon is killed during sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances.  A new client has been released in the update channel and the server has been updated to show a "Capabilities Mismatch" error when in use with a an older client to prevent files becoming unavailable to users.
>
> Manually running an system update will update the client to work with the deployed server and fix the root cause.  Files are still available via the web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the desktop client to display a "Capabilities Mismatch" message.
>
> Update: Fix has been deployed. Beta PPA and non-beta PPA users can both receive the fixed client software by running Update Manager.
>
>
>

aXenol (aksenol) wrote :

how can i unsubscribe from this bug?? I am done with that bug and i
dont wanna take these mails??

On Fri, Oct 30, 2009 at 8:39 PM, tomatoman <email address hidden> wrote:
> Kill and restart the client applet (or restart your machine).
>
> FewClues wrote:
>> I have done the updates and I still get the compatibility warning.  My
>> client is more advanced than the server.  HOW DOES THAT HAPPEN?
>>
>> On Fri, 2009-10-30 at 17:54 +0000, Fabio M. P. Bugnon wrote:
>>
>>
>>> OK, thank you all devels for this fix.
>>>
>>> After the updates I can access my UbuntuOne with no problems.
>>>
>>> Thanks a lot.
>>>
>>>
>>
>>
>
> --
> Files are marked for deletion on server when syncdaemon is killed during sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances.  A new client has been released in the update channel and the server has been updated to show a "Capabilities Mismatch" error when in use with a an older client to prevent files becoming unavailable to users.
>
> Manually running an system update will update the client to work with the deployed server and fix the root cause.  Files are still available via the web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the desktop client to display a "Capabilities Mismatch" message.
>
> Update: Fix has been deployed. Beta PPA and non-beta PPA users can both receive the fixed client software by running Update Manager.
>
>
>

Thank you Rick! AS I just confessed - I went to take screen shots to
document the failure mode and it worked perfectly (or nearly perfect -
I'm a poor judge).

On Fri, 2009-10-30 at 18:26 +0000, Rick McBride wrote:

> FewClues wrote:
> > I have done the updates and I still get the compatibility warning. My
> > client is more advanced than the server. HOW DOES THAT HAPPEN?
> >
> > On Fri, 2009-10-30 at 17:54 +0000, Fabio M. P. Bugnon wrote:
> >
> >> OK, thank you all devels for this fix.
> >>
> >> After the updates I can access my UbuntuOne with no problems.
> >>
> >> Thanks a lot.
> >>
> >
>
> The error message is slightly inaccurate. The simple fact is that the
> version of the client that is running and trying to talk to the server
> (not necessarily the version that is Installed) has a capability level
> that tells us that it is a version with a serious bug. The "Client is
> newer than server" message is the only message of that type available in
> the bugged client. Changing the setting on the server prevented the
> bugged clients from connecting, but resulted in the confusing message
> you are seeing.
>
> After updating the packages, you'll need to re-start the client
> manually. The simplest way to do this right now is to re-log or re-boot
> your machine. We have a bug report in place regarding the package
> upgrade, and hope to enhance the process so that the client restarts
> itself upon upgrade soon.
>

Just go to launchpad, find the bug using the bug # and unsubscribe yourself.

I've run reinstall_u1.sh (all appeared to go well) and rebooted but the bug, for me at least, is still not fixed. I still can't connect and still the client won't attempt to add my computer to the system. Sadly this seems to have been a service that was released too soon.

A lot of people are saying this is fixed, but I'm still experiencing it on three machines. Two of them are 64-bit upgraded from Jaunty. One is a 32-bit clean install. I've run all updates. I've stopped and started the applet. I've rebooted. Still, I have the same issue.

Sean Welton (spwelton) wrote :

I haven't even received the update yet... I keep running apt-get update, and no new updates available.

makis83 (makis83) wrote :

After update to ver. 1.0.2-0ubuntu2 some problems were fixed. You should reboot your computer to get ubuntu-one work. But still there is no ways to get url for uploaded file (like dropbox) and files deleted from Ubuntu One folder (locally) are still on the server.

Be sure to check that everything is ok in Software Soruces.

On Sat, Oct 31, 2009 at 5:53 AM, makis83 <email address hidden> wrote:

> After update to ver. 1.0.2-0ubuntu2 some problems were fixed. You should
> reboot your computer to get ubuntu-one work. But still there is no ways
> to get url for uploaded file (like dropbox) and files deleted from
> Ubuntu One folder (locally) are still on the server.
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
>
> Update: Fix has been deployed. Beta PPA and non-beta PPA users can both
> receive the fixed client software by running Update Manager.
>
>
>

Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Released → Fix Committed

It hasn't been updated in http://es.archive.ubuntu.com/ubuntu/, but it is in http://en.archive.ubuntu.com/ubuntu/

Aren't they supposed to mirror each other?

For those who can't update, go System->Administration->Software Sources, and select "Main Server" in the "Download from" option in the first tab.

Steve Langasek (vorlon) on 2009-11-01
Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Daniel Wiberg (dannew) wrote :

I still have the same problem. I have enabled 'Karmic Proposed' and switched to 'Main server', still no update for Ubuntu One, and I still get the same error message.

laRusalka (silvia-florez) wrote :

Switched to "Main Server", installed the updates, restarted the system and problem fixed.

Daniel Wiberg (dannew) wrote :

As I previously had the PPA installed, I had to remove and reinstall the client to get the correct version. Now it works fine!

Tim Tilberg (ttilberg) wrote :

Using Karmic. I have had zero luck so far with UbuntuOne. Before it was problems with some loop where it wouldn't authenticate my computer... Now this bug referenced here.

According to these posts, the current version should be at LEAST 1.0.2-0ubuntu2. I had the US server set as my original rep. source, and after changing to the "Main Server" as suggested above, there were 20 new updates.

Thanks for the help in getting this problem resolved, but shouldn't the US server mirror the Main Server? I don't see why the repository is hosting different files.

Thanks,
Tim

Download full text (3.3 KiB)

I followed the instructions below to uninstall and reinstall the Ubuntu One
Client and have had success connecting and uploading files - the only
activities I tried. This was done from the US server.

Good luck,
Gary Beach

On Tue, Nov 3, 2009 at 8:21 PM, Tim Tilberg <email address hidden> wrote:

> Using Karmic. I have had zero luck so far with UbuntuOne. Before it was
> problems with some loop where it wouldn't authenticate my computer...
> Now this bug referenced here.
>
> According to these posts, the current version should be at LEAST
> 1.0.2-0ubuntu2. I had the US server set as my original rep. source, and
> after changing to the "Main Server" as suggested above, there were 20
> new updates.
>
> Thanks for the help in getting this problem resolved, but shouldn't the
> US server mirror the Main Server? I don't see why the repository is
> hosting different files.
>
> Thanks,
> Tim
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to disp...

Read more...

Gracias por la ayuda, ahora funciona apropiadamente.
----

Still no luck with this from me. Seems Dropbox is really the way to go! A shame though...

It is working fine on my computer now.

Thanks,

On Wed, Nov 4, 2009 at 8:30 PM, jakslev <email address hidden> wrote:

> Still no luck with this from me. Seems Dropbox is really the way to go!
> A shame though...
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in ubuntuone-client in Ubuntu Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
>
> Update: Fix has been deployed. Beta PPA and non-beta PPA users can both
> receive the fixed client software by running Update Manager.
>
>
>

--
Amitabh Sharma
B-135, Pocket VII,
Kendriya Vihar,
Sector 82,
Noida 201304
India
Tel : +91 120 3206778
Mob: +91 9999 722103

just posted on: https://bugs.launchpad.net/ubuntuone-client/+bug/466285
I have tried these suggestions twice now and still get the same error. pls assist. what info do you require?

thanks

Like others with this bug still unfixed I've tried all suggestions above with no luck whatever...I'm using the main server, have the latest version and it is no closer to working than when I started out on this journey. It would appear that there is still a bug that affects a substantial number of users and, unfortunately, I see no evidence of the situation being addressed. Also, like other posters, I find that Dropbox works perfectly on my system making me think that there's little wrong overall but a lot wrong with Ubuntuone. It's a shame!

On Wed, Nov 04, 2009 at 04:37:57PM -0000, TrueSatan wrote:
> Like others with this bug still unfixed I've tried all suggestions above
> with no luck whatever...I'm using the main server, have the latest
> version

The "Capabilities mismatch" error is not displayed if you have the latest
version, so it sounds like you don't have the latest version. Please check
under System->Administration->Software Sources, in the Updates tab, that you
have "Recommended updates" enabled, and that the version of the
ubuntuone-client package you have installed is 1.0.2-0ubuntu2.

You will have to restart the UbuntuOne client after upgrade for the change
to take effect; the easiest way to do this is by logging out of your desktop
session and logging back in.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

 Thanks for trying to help Steve (reply #79 above)...actually I did have 1.0.2 installed but on Kubuntu not Ubuntu...having followed the instructions for Kubuntu installation on the Ubuntuone site. I tried again ripping out all trace of my previous installation and redoing it from scratch then running reinstall_u1.sh to again update to 1.0.2 and re-adding the ppa (updating from jaunty to karmic by editing sources.list.) There were errors in the process (mscorefonts related) but this time the client has connected, my computer is now properly registered and all appears to be working as it should. Goodness knowsw what failed last time and worked the second time but at least it worked. I did already have "Recommended Updates" enabled so that wasn't the issue cause. Now that I finally have it working properly the ubuntuone system seems to be responsive and of a pleasing design...nice to be able to say good things of it at last. Others still having problems might try the clean out then reinstall approach I used...hope it works for any who do.

Davide Saurino (dsaurino) wrote :

the reinstall_u1.sh script solved my problem, thanks.

tags: added: common
Elbarbudo (patricearnal) wrote :

Removing and re-installing the package ubuntu-one client solved the problem for me too.
It seems that the upgrade from Ubuntu 9.04 to 9.10 did not work correctly.

Schreiber (schreiber07) wrote :

I am using Ubuntu One 1.0.2-0ubuntu1 on KUbuntu 9.10 (64) fresh install. Since I installed UbuntuOne I always get the error
"capabilities mismatch with server". All is updated, but it never works.
I am Using UbuntoOne on KUbuntu 9.04 (32) everything is ok.
I see both Pc in it.. But I get errors when I try to download or upload from KUbuntu 9.10 - 64.

Schreiber

On Wed, Dec 02, 2009 at 10:10:14PM -0000, Schreiber wrote:
> I am using Ubuntu One 1.0.2-0ubuntu1 on KUbuntu 9.10 (64) fresh install. Since I installed UbuntuOne I always get the error
> "capabilities mismatch with server". All is updated, but it never works.

No, this is not an up-to-date version of the ubuntuone-client package. You
need 1.0.2-0ubuntu2, which is present in the karmic-updates repository.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Rodney Dawes (dobey) on 2009-12-10
Changed in ubuntuone-client (Ubuntu):
milestone: lucid-alpha-1 → none
mjhelmrich (mjhelmrich) on 2009-12-27
Changed in ubuntuone-client:
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2009-12-27
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
kumismacho (zie-ucup) on 2010-02-07
Changed in ubuntuone-client:
status: Fix Released → Confirmed
Changed in ubuntu-release-notes:
status: Fix Released → Confirmed
Changed in ubuntuone-client (Ubuntu):
status: Fix Released → Confirmed
Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Released → Confirmed

@kumismacho: please don't change the bug status without saying *why*.

Changed in ubuntuone-client:
status: Confirmed → Fix Released
Changed in ubuntu-release-notes:
status: Confirmed → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Fix Released
Changed in ubuntuone-client (Ubuntu Karmic):
status: Confirmed → Fix Released
Roman Yepishev (rye) on 2010-02-17
tags: added: rye-diag
Roman Yepishev (rye) on 2010-04-01
summary: Files are marked for deletion on server when syncdaemon is killed during
- sync
+ sync: Capabilities mismatch is displayed for outdated clients.
Ace preshaw (neos857) on 2010-04-13
Changed in ubuntuone-client (Ubuntu):
status: Fix Released → New
status: New → Fix Released
john (pkyegroll) on 2010-04-19
Changed in ubuntuone-client:
assignee: Facundo Batista (facundo) → john (pkyegroll)
Changed in ubuntu-release-notes:
status: Fix Released → Fix Committed
Changed in ubuntuone-client:
status: Fix Released → In Progress
status: In Progress → Fix Committed
Changed in ubuntuone-client (Ubuntu):
status: Fix Released → Fix Committed
Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2010-04-19
Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Changed in ubuntu-release-notes:
status: Fix Committed → Fix Released
Changed in ubuntuone-client:
assignee: john (pkyegroll) → Facundo Batista (facundo)
Download full text (3.3 KiB)

Thank you very much ! Now I wait the ubuntu for 10.4 . My english is bad ,, so i'm sorry , please ...

         I don't know the BUG what ' s mean with chinese , who can translation it to chinese ?

在2010-04-19 11:52:27,"Steve Langasek" <email address hidden> 写道:
>** Changed in: ubuntuone-client (Ubuntu Karmic)
> Status: Fix Committed => Fix Released
>
>** Changed in: ubuntuone-client (Ubuntu)
> Status: Fix Committed => Fix Released
>
>** Changed in: ubuntuone-client
> Status: Fix Committed => Fix Released
>
>** Changed in: ubuntu-release-notes
> Status: Fix Committed => Fix Released
>
>** Changed in: ubuntuone-client
> Assignee: john (pkyegroll) => Facundo Batista (facundo)
>
>--
>Files are marked for deletion on server when syncdaemon is killed during sync: Capabilities mismatch is displayed for outdated clients.
>https://bugs.launchpad.net/bugs/462828
>You received this bug notification because you are a direct subscriber
>of a duplicate bug.
>
>Status in Ubuntu Release Notes: Fix Released
>Status in Ubuntu One Client: Fix Released
>Status in “ubuntuone-client” package in Ubuntu: Fix Released
>Status in “ubuntuone-client” source package in Karmic: Fix Released
>
>Bug description:
>Steps to reproduce:
>
>On Computer1
>1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
>2) Applications->Internet->Ubuntu One
>3) Add Computer1 to my account
>4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
>5) Sync occurs with server
>6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
>On Computer2
>7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
>8) Applications->Internet-Ubuntu One
>9) Add Computer2 to my account
>10) Sync starts - allow to run until first 4 mp3 files are there
>11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
>12) Applications->Internet->Ubuntu One
>13) Allow sync to happen
>
>Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
>Expected result: 12 mp3 files on both computers and cloud
>
>Log files being attached along with reinstall_u1.sh script
>
>================
>Karmic release note:
>
>Ubuntu One files may become unavailable in some circumstances
>
>A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances. A new client has been released in the update channel and the server has been updated to show a "Capabilities Mismatch" error when in use with a an older client to prevent files becoming unavailable to users.
>
>Manually running an system update will update the client to work with the deployed server and fix the root cause. Files are still available via the web interface at http://one.ubuntu.com
>
>Contact syncing and tomboy syncing services are not affected by this issue.
>
>================
>
>The temporary measure to protect against user data loss will cause the desktop client to display a "Capabilities Mismatch" message.
>
>Update: Fix has been deployed. Beta PPA and non-...

Read more...

cjc0045 (chjchbinghe3) wrote :
Download full text (3.4 KiB)

Thank you very much ! Now I wait the ubuntu for 10.4 . My english is bad ,, so i'm sorry , please ...

         I don't know the BUG what ' s mean with chinese , who can translation it to chinese ?

在2010-04-19 11:36:04,john <email address hidden> 写道:
>** Changed in: ubuntuone-client
> Assignee: Facundo Batista (facundo) => john (pkyegroll)
>
>** Changed in: ubuntu-release-notes
> Status: Fix Released => Fix Committed
>
>** Changed in: ubuntuone-client
> Status: Fix Released => In Progress
>
>** Changed in: ubuntuone-client
> Status: In Progress => Fix Committed
>
>** Changed in: ubuntuone-client (Ubuntu)
> Status: Fix Released => Fix Committed
>
>** Changed in: ubuntuone-client (Ubuntu Karmic)
> Status: Fix Released => Fix Committed
>
>--
>Files are marked for deletion on server when syncdaemon is killed during sync: Capabilities mismatch is displayed for outdated clients.
>https://bugs.launchpad.net/bugs/462828
>You received this bug notification because you are a direct subscriber
>of a duplicate bug.
>
>Status in Ubuntu Release Notes: Fix Committed
>Status in Ubuntu One Client: Fix Committed
>Status in “ubuntuone-client” package in Ubuntu: Fix Committed
>Status in “ubuntuone-client” source package in Karmic: Fix Committed
>
>Bug description:
>Steps to reproduce:
>
>On Computer1
>1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
>2) Applications->Internet->Ubuntu One
>3) Add Computer1 to my account
>4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
>5) Sync occurs with server
>6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
>On Computer2
>7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
>8) Applications->Internet-Ubuntu One
>9) Add Computer2 to my account
>10) Sync starts - allow to run until first 4 mp3 files are there
>11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
>12) Applications->Internet->Ubuntu One
>13) Allow sync to happen
>
>Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
>Expected result: 12 mp3 files on both computers and cloud
>
>Log files being attached along with reinstall_u1.sh script
>
>================
>Karmic release note:
>
>Ubuntu One files may become unavailable in some circumstances
>
>A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances. A new client has been released in the update channel and the server has been updated to show a "Capabilities Mismatch" error when in use with a an older client to prevent files becoming unavailable to users.
>
>Manually running an system update will update the client to work with the deployed server and fix the root cause. Files are still available via the web interface at http://one.ubuntu.com
>
>Contact syncing and tomboy syncing services are not affected by this issue.
>
>================
>
>The temporary measure to protect against user data loss will cause the desktop client to display a "Capabilities Mismatch" message.
...

Read more...

cjc0045 (chjchbinghe3) wrote :
Download full text (3.4 KiB)

Thank you very much ! Now I wait the ubuntu for 10.4 . My english is bad ,, so i'm sorry , please ...

         I don't know the BUG what ' s mean with chinese , who can translation it to chinese ?

在2010-04-19 11:36:04,john <email address hidden> 写道:
>** Changed in: ubuntuone-client
> Assignee: Facundo Batista (facundo) => john (pkyegroll)
>
>** Changed in: ubuntu-release-notes
> Status: Fix Released => Fix Committed
>
>** Changed in: ubuntuone-client
> Status: Fix Released => In Progress
>
>** Changed in: ubuntuone-client
> Status: In Progress => Fix Committed
>
>** Changed in: ubuntuone-client (Ubuntu)
> Status: Fix Released => Fix Committed
>
>** Changed in: ubuntuone-client (Ubuntu Karmic)
> Status: Fix Released => Fix Committed
>
>--
>Files are marked for deletion on server when syncdaemon is killed during sync: Capabilities mismatch is displayed for outdated clients.
>https://bugs.launchpad.net/bugs/462828
>You received this bug notification because you are a direct subscriber
>of a duplicate bug.
>
>Status in Ubuntu Release Notes: Fix Committed
>Status in Ubuntu One Client: Fix Committed
>Status in “ubuntuone-client” package in Ubuntu: Fix Committed
>Status in “ubuntuone-client” source package in Karmic: Fix Committed
>
>Bug description:
>Steps to reproduce:
>
>On Computer1
>1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
>2) Applications->Internet->Ubuntu One
>3) Add Computer1 to my account
>4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
>5) Sync occurs with server
>6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
>On Computer2
>7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
>8) Applications->Internet-Ubuntu One
>9) Add Computer2 to my account
>10) Sync starts - allow to run until first 4 mp3 files are there
>11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
>12) Applications->Internet->Ubuntu One
>13) Allow sync to happen
>
>Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
>Expected result: 12 mp3 files on both computers and cloud
>
>Log files being attached along with reinstall_u1.sh script
>
>================
>Karmic release note:
>
>Ubuntu One files may become unavailable in some circumstances
>
>A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances. A new client has been released in the update channel and the server has been updated to show a "Capabilities Mismatch" error when in use with a an older client to prevent files becoming unavailable to users.
>
>Manually running an system update will update the client to work with the deployed server and fix the root cause. Files are still available via the web interface at http://one.ubuntu.com
>
>Contact syncing and tomboy syncing services are not affected by this issue.
>
>================
>
>The temporary measure to protect against user data loss will cause the desktop client to display a "Capabilities Mismatch" m...

Read more...

Download full text (6.2 KiB)

不好意思,我也不明白具体的做法。其实具体ubuntu-one的使用我也不是太清楚。

在 2010-04-20二的 07:11 +0000,cjc0045写道:
>
>
>
> Thank you very much ! Now I wait the ubuntu for 10.4 . My english is bad ,, so i'm sorry , please ...
>
>
> I don't know the BUG what ' s mean with chinese , who can translation it to chinese ?
>
>
> 在2010-04-19 11:36:04,john <email address hidden> 写道:
> >** Changed in: ubuntuone-client
> > Assignee: Facundo Batista (facundo) => john (pkyegroll)
> >
> >** Changed in: ubuntu-release-notes
> > Status: Fix Released => Fix Committed
> >
> >** Changed in: ubuntuone-client
> > Status: Fix Released => In Progress
> >
> >** Changed in: ubuntuone-client
> > Status: In Progress => Fix Committed
> >
> >** Changed in: ubuntuone-client (Ubuntu)
> > Status: Fix Released => Fix Committed
> >
> >** Changed in: ubuntuone-client (Ubuntu Karmic)
> > Status: Fix Released => Fix Committed
> >
> >--
> >Files are marked for deletion on server when syncdaemon is killed during sync: Capabilities mismatch is displayed for outdated clients.
> >https://bugs.launchpad.net/bugs/462828
> >You received this bug notification because you are a direct subscriber
> >of a duplicate bug.
> >
> >Status in Ubuntu Release Notes: Fix Committed
> >Status in Ubuntu One Client: Fix Committed
> >Status in “ubuntuone-client” package in Ubuntu: Fix Committed
> >Status in “ubuntuone-client” source package in Karmic: Fix Committed
> >
> >Bug description:
> >Steps to reproduce:
> >
> >On Computer1
> >1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> >2) Applications->Internet->Ubuntu One
> >3) Add Computer1 to my account
> >4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> >5) Sync occurs with server
> >6) Check that sync completes by going to https://one.ubuntu.com/ and see all 12 files there
> >On Computer2
> >7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> >8) Applications->Internet-Ubuntu One
> >9) Add Computer2 to my account
> >10) Sync starts - allow to run until first 4 mp3 files are there
> >11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> >12) Applications->Internet->Ubuntu One
> >13) Allow sync to happen
> >
> >Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on cloud (thus unavailable on web) - all just show the 4 files left by Computer2
> >Expected result: 12 mp3 files on both computers and cloud
> >
> >Log files being attached along with reinstall_u1.sh script
> >
> >================
> >Karmic release note:
> >
> >Ubuntu One files may become unavailable in some circumstances
> >
> >A bug in the ubuntu one client (#462828) can cause files to become unavailable in some circumstances. A new client has been released in the update channel and the server has been updated to show a "Capabilities Mismatch" error when in use with a an older client to prevent files becoming unavailable to users.
> >
> >Manually running an system update will update the client to work with the deployed server and fix the root cause. Files are still available via the web interface at http://one.ubuntu.com
> >
> >C...

Read more...

Denis Rossi (drossi) wrote :

Hi Every Body,

Trouble fixed using the Reinstall Script.

By

Denis

papukaija (papukaija) wrote :

@Denis: This bug was fixed one month ago by SRU (Ubuntu's updates) so it shouldn't be necessary to run reinstall scripts.

It appears the root cause leading to this crash was a bad RAM module. A
crash occurred during update due to bad memory resulting in the occurrence
of the bug described below.

Thank you,
glbeach

2010/9/17 cjc0045 <chjchbinghe3@126.com>

>
>
> --
> Files are marked for deletion on server when syncdaemon is killed during
> sync: Capabilities mismatch is displayed for outdated clients.
> https://bugs.launchpad.net/bugs/462828
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (463060).
>
> Status in Ubuntu Release Notes: Fix Released
> Status in Ubuntu One Client: Fix Released
> Status in “ubuntuone-client” package in Ubuntu: Fix Released
> Status in “ubuntuone-client” source package in Karmic: Fix Released
>
> Bug description:
> Steps to reproduce:
>
> On Computer1
> 1) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer1
> 2) Applications->Internet->Ubuntu One
> 3) Add Computer1 to my account
> 4) Copy ~/Cush (with 12 mp3 files) to ~/Ubuntu One
> 5) Sync occurs with server
> 6) Check that sync completes by going to https://one.ubuntu.com/ and see
> all 12 files there
> On Computer2
> 7) Run reinstall_u1.sh script to ensure a clean u1 environment on Computer2
> 8) Applications->Internet-Ubuntu One
> 9) Add Computer2 to my account
> 10) Sync starts - allow to run until first 4 mp3 files are there
> 11) $ killall ubuntuone-client-applet ubuntuone-syncdaemon
> 12) Applications->Internet->Ubuntu One
> 13) Allow sync to happen
>
> Result: 8 of 12 mp3 files deleted on Computer1 and marked for deletion on
> cloud (thus unavailable on web) - all just show the 4 files left by
> Computer2
> Expected result: 12 mp3 files on both computers and cloud
>
> Log files being attached along with reinstall_u1.sh script
>
> ================
> Karmic release note:
>
> Ubuntu One files may become unavailable in some circumstances
>
> A bug in the ubuntu one client (#462828) can cause files to become
> unavailable in some circumstances. A new client has been released in the
> update channel and the server has been updated to show a "Capabilities
> Mismatch" error when in use with a an older client to prevent files becoming
> unavailable to users.
>
> Manually running an system update will update the client to work with the
> deployed server and fix the root cause. Files are still available via the
> web interface at http://one.ubuntu.com
>
> Contact syncing and tomboy syncing services are not affected by this issue.
>
> ================
>
> The temporary measure to protect against user data loss will cause the
> desktop client to display a "Capabilities Mismatch" message.
>
> Update: Fix has been deployed. Beta PPA and non-beta PPA users can both
> receive the fixed client software by running Update Manager.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu-release-notes/+bug/462828/+subscribe
>

Philippe (philippe-rast) wrote :

Bug #460072 points on this bug. Why?
I have the exact same problem as reported consistently over the past 2 years. Here is a bug report by Peter Schallenberg from May 02 2010 which describes exactly my problem to date - with my computers running 10.10:
"On all 4 computers I use files will have green checkboxes as indication they will by uploaded, but when I check the server via the website I mis files. On all 4 computers I now have different files.
My business administration is on it and a mess.
Will upgrading to 10.04 solve the syncing problem?
I tried re-install, and rm -rf ~/.config/ubuntuone.
both did not work."
This was reported on bug #460072 which, in my opinion is not the same issue as this present bug 462828

smiki (micouk) wrote :

This bug seems to be reappearing.

a few days back my u1 client on Lucid stopped to synchronize with the message:
$ u1sdtool -s
State: CAPABILITIES_MISMATCH
    connection: With User With Network
    description: capabilities mismatch
    is_connected: False
    is_error: True
    is_online: False
    queues: WORKING_ON_BOTH

Several other clients (on Precise or even the android client) for the same account works fine.

There is a thread with several other affected users on ubuntu forums:
http://ubuntuforums.org/showthread.php?t=2150538&p=12673088

was there any change to affect the Lucid client but not the other ubuntu versions?
How ca I help to debug this issue?

Bert Driehuis (driehuis) wrote :

smiki: Please read comment #13. The CAPABILITIES_MISMATCH that you're seeing is for your protection. It's ubuntuone's way of telling you: your client is outdated. The bug that you re-opened is not about CAPABILITIES_MISMATCH. It's about files being marked for deletion, which is not the case.

I think some kind of warning through the GUI about Lucid's GUI bits having reached end-of-life would've been appropriate if that is what is behind Lucid being unable to connect to ubuntuone, but that's a different issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions